import { Message, ConflatableMessage } from '@phosphor/messaging';
import { Widget } from '@phosphor/widgets';
import { DialogLayout } from './DialogLayout';
export declare class DialogMoveMessage extends ConflatableMessage {
    widget: Dialog;
    x: number;
    y: number;
    width: number;
    height: number;
    constructor(widget: Dialog, x: number, y: number, width: number, height: number);
    conflate(other: DialogMoveMessage): boolean;
}
export declare class DialogRaiseMessage extends Message {
    widget: Dialog;
    event: MouseEvent;
    constructor(widget: Dialog, event: MouseEvent);
}
export declare class Dialog extends Widget {
    constructor(options?: Dialog.Options);
    static createNode(): HTMLElement;
    protected onBeforeAttach(msg: Message): void;
    protected onAfterDetach(msg: Message): void;
    handleEvent(event: Event): void;
    handleClick(event: MouseEvent): boolean;
    handleMouseDown(event: MouseEvent): boolean;
    handleMouseMove(event: MouseEvent): void;
    handleMouseUp(event: MouseEvent): boolean;
    addWidget(widget: Widget, options?: DialogLayout.AddOptions): void;
    private drag;
}
export declare namespace Dialog {
    interface Options {
    }
}
