import { Message } from '@phosphor/messaging';
import { IDragEvent } from '@phosphor/dragdrop';
import { Widget, DockPanel } from '@phosphor/widgets';
import { FloatLayout } from './FloatLayout';
export declare class FloatArea extends Widget {
    constructor(options?: FloatArea.Options);
    static createNode(): HTMLElement;
    protected onBeforeAttach(msg: Message): void;
    protected onAfterDetach(msg: Message): void;
    processMessage(msg: Message): void;
    handleEvent(event: Event): void;
    protected handleDragEnter(event: IDragEvent): boolean;
    protected handleDragLeave(event: IDragEvent): void;
    protected handleDragOver(event: IDragEvent): boolean;
    protected handleDrop(event: IDragEvent): boolean;
    getDragged(event: IDragEvent): Widget | null;
    onEdge(event: IDragEvent): boolean;
    showOverlay(event: IDragEvent): void;
    hideOverlay(event: IDragEvent): void;
    addWidget(widget: Widget, options?: FloatLayout.AddOptions): void;
    /** Transparent overlay indicating position of dragged widget if dropped. */
    overlay: DockPanel.IOverlay;
    /** Parent DOM node of the overlay. */
    overlayParent: HTMLElement;
    overlayVisible: boolean;
    /** Flag whether the overlay was created by this widget. */
    ownOverlay: boolean;
    /** Horizontal padding of overlayParent in pixels. */
    edgeWidth: number;
    /** Vertical padding of overlayParent in pixels. */
    edgeHeight: number;
    private drag;
}
export declare namespace FloatArea {
    interface Options {
        overlay?: DockPanel.IOverlay;
    }
}
