import { Message } from '@phosphor/messaging';
import { IDragEvent } from '@phosphor/dragdrop';
import { Widget, LayoutItem } from '@phosphor/widgets';
import { SimpleLayout } from './SimpleLayout';
export declare class FloatLayoutItem extends LayoutItem {
    updateUser(x: number, y: number, width: number, height: number): void;
    userY: number;
    userX: number;
    userWidth: number;
    userHeight: number;
}
export declare class FloatLayout extends SimpleLayout<FloatLayoutItem> {
    constructor(options?: FloatLayout.Options);
    addWidget(widget: Widget, options?: FloatLayout.AddOptions): FloatLayoutItem | undefined;
    removeWidget(widget: Widget): void;
    onUpdate(): void;
    updateWidget(widget: Widget, x: number, y: number, width: number, height: number): void;
    updateItem(item: FloatLayoutItem, x: number, y: number, width: number, height: number): void;
    raiseWidget(widget: Widget, event: MouseEvent): void;
    protected onFitRequest(msg: Message): void;
    activeWidget: Widget;
    zTop: number;
}
/** Dispatch a new p-dragleave event outside any widgets. */
export declare function sendLeaveEvent(event: IDragEvent, node: HTMLElement): void;
export declare namespace FloatLayout {
    interface Options {
    }
    interface AddOptions {
        left?: number;
        top?: number;
        width?: number;
        height?: number;
    }
}
